Bug 35705 - Update port: sysutils/xmbmon to 1.07p1
Update port: sysutils/xmbmon to 1.07p1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-09 19:30 UTC by kaz
Modified: 2002-03-17 18:26 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaz 2002-03-09 19:30:01 UTC
	X/tty motherboard monitor.

Fix: 

-- 
$BCfB<OB;V!w?@8M(B		<mailto:kaz@kobe1995.net>
NAKAMURA Kazushi@KOBE	<http://kobe1995.net/>
- Break the hate chain. No more kill!--b7MqFaEvxr4X4apIgyM3IU3o8BfjCaTz8mcEW59vlLBVu9kj
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xmbmon
#	xmbmon/files
#	xmbmon/files/patch-aa
#	xmbmon/Makefile
#	xmbmon/pkg-comment
#	xmbmon/pkg-descr
#	xmbmon/pkg-plist
#
echo c - xmbmon
mkdir -p xmbmon > /dev/null 2>&1
echo c - xmbmon/files
mkdir -p xmbmon/files > /dev/null 2>&1
echo x - xmbmon/files/patch-aa
sed 's/^X//' >xmbmon/files/patch-aa << 'END-of-xmbmon/files/patch-aa'
X--- Makefile.in~	Mon Feb 11 00:43:27 2002
X+++ Makefile.in	Sun Feb 17 13:33:34 2002
X@@ -11,9 +11,9 @@
X 
X DEFS=-DHAVE_CONFIG_H
X 
X-LIBDIR=/usr/X11R6/lib
X+LIBDIR=$(X11BASE)/lib
X INCDIR=.
X-XINCDIR=/usr/X11R6/include
X+XINCDIR=$(X11BASE)/include
X XLIB=-lXaw -lXmu
X EXTENSIONLIB=-lXext
X INCLUDES=-I$(INCDIR)
X@@ -21,9 +21,9 @@
X LIBS=-L$(LIBDIR) -lXaw $(XLIB) -lXt $(EXTENSIONLIB) -lX11 -lm
X 
X #CC=/compat/linux/usr/bin/gcc
X-CC=gcc
X-CFLAGS=-O3 $(INCLUDES) $(DEFS)
X-CFLAGSX=-O3 $(XINCLUDES) $(DEFS)
X+CC?=gcc
X+CFLAGS+= $(INCLUDES) $(DEFS)
X+CFLAGSX= $(XINCLUDES) $(CFLAGS)
X LDFLAGS=-s
X 
X LINT=lint
X@@ -32,16 +32,19 @@
X RM=rm -f
X INSTALL=install
X 
X-INST_DIR=/usr/local/bin
X-INST_XDIR=/usr/X11R6/bin
X-INST_XRDIR=/usr/X11R6/lib/X11/app-defaults
X+INST_DIR=$(PREFIX)/bin
X+INST_XDIR=$(PREFIX)/bin
X+INST_XRDIR=$(X11BASE)/lib/X11/app-defaults
X  
X .c.o:
X 	$(CC) -c $(CFLAGS) $*.c
X 
X-PROGRAM = mbmon xmbmon testpci testsmb testhwm testfan
X+PROGRAM = mbmon
X+TESTER	= testpci testsmb testhwm testfan
X+DOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
X+PROGRAM+= xmbmon
X 
X-all: $(PROGRAM)
X+all: $(PROGRAM) $(TESTER)
X 
X mbmon: methods.h mbmon.c mbmon_small.c getMBinfo.o getMB-isa.o getMB-smb.o getMB-via.o pci_hwm.h pci_hwm.o smb_io.h smb_io.c
X 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ mbmon.c getMBinfo.o getMB-isa.o getMB-smb.o getMB-via.o pci_hwm.o
X@@ -68,8 +71,14 @@
X 	$(RM) Makefile config.cache config.log config.h config.status
X 
X install: $(PROGRAM)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p mbmon $(INST_DIR)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p xmbmon $(INST_XDIR)
X+	@for i in $(PROGRAM); do \
X+		$(INSTALL) -o root -g wheel -m 4555 -c -p $$i $(INST_DIR); \
X+	done
X 
X lint:
X 	$(LINT) $(INCLUDES) $(DEFS) $(FONTDEFINES) $(SRCS) -lm
X+
X+install-doc: $(DOCS)
X+	@for f in $(DOCS); do \
X+		$(INSTALL_DATA) $$f $(DOCSDIR)/; \
X+	done
END-of-xmbmon/files/patch-aa
echo x - xmbmon/Makefile
sed 's/^X//' >xmbmon/Makefile << 'END-of-xmbmon/Makefile'
X# ports collection makefile for:	xmbmon
X# Date created:	2001/08/30
X# Whom:		kaz
X#
X# $FreeBSD: ports/sysutils/xmbmon/Makefile,v 1.2 2001/09/24 07:39:17 knu Exp $
X#
X
XPORTNAME=	xmbmon
XPORTVERSION=	107p1
XCATEGORIES=	sysutils
XMASTER_SITES=	http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/
XDISTNAME=	${PORTNAME}${PORTVERSION:S/p/pl/}
X
XMAINTAINER=	kaz@kobe1995.net
X
XGNU_CONFIGURE=	yes
XDOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
X
XWITHOUT_X11?= no
X
X.if (${WITHOUT_X11} == yes)
XMAKE_ARGS+=	WITHOUT_X11=yes DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
XDOCS=   	00README.txt    00READMEj.txt   DEBUG_Info
XPLIST_SUB=	X11_ONLY="@comment "
X.else
XUSE_XLIB=	yes
XMAKE_ARGS+=	DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
XPLIST_SUB=	X11_ONLY=""
X.endif
X
X.include <bsd.port.pre.mk>
X
Xpre-extract:
X	@${ECHO}
X	@${ECHO} "set WITHOUT_X11 variable to 'yes' if you want to build without X11"
X	@${ECHO}
X
Xpost-patch:
X	@${MV} -f ${WRKSRC}/Makefile.in ${WRKSRC}/Makefile.in.X
X.if ${WITHOUT_X11} == yes
X	@${GREP} -v '^PROGRAM+=' ${WRKSRC}/Makefile.in.X | ${SED} 's/__DOCS__/$(DOCS)/' > ${WRKSRC}/Makefile.in
X.else
X	@${SED} 's/__DOCS__/$(DOCS)/' ${WRKSRC}/Makefile.in.X > ${WRKSRC}/Makefile.in
X.endif
X	@${RM} -f ${WRKSRC}/Makefile.in.X
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	(cd ${WRKSRC}; ${MAKE} ${MAKE_ARGS} install-doc)
X.endif
X
X.include <bsd.port.post.mk>
END-of-xmbmon/Makefile
echo x - xmbmon/pkg-comment
sed 's/^X//' >xmbmon/pkg-comment << 'END-of-xmbmon/pkg-comment'
XX/tty motherboard monitor for LM78/79, W8378x, AS99127F and VT82C686
END-of-xmbmon/pkg-comment
echo x - xmbmon/pkg-descr
sed 's/^X//' >xmbmon/pkg-descr << 'END-of-xmbmon/pkg-descr'
XThis is an X/tty motherboard monitor which supports LM78/79, WINBond
X83781D/83782D/83783S, ASUS 991227F, and VIA VT82C686A/B PC-health
Xchips via 3 methods: ISA-I/O, SMBus, VIA-direct.
X
XRun "mbmon -h" or "xmbmon -help" to see the usage.
X
X***CAUTION*** 
X
XThese programs access to the SMBus or the ISA-IO port directly under
Xthe superuser privilege, so it may cause a system crash.  Please test
X"mbmon -d" or "xmbmon -debug" first.
X
XWWW: http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/download.html
X-- 
Xkaz
END-of-xmbmon/pkg-descr
echo x - xmbmon/pkg-plist
sed 's/^X//' >xmbmon/pkg-plist << 'END-of-xmbmon/pkg-plist'
Xbin/mbmon
X%%X11_ONLY%%bin/xmbmon
X%%PORTDOCS%%share/doc/xmbmon/00README.txt
X%%PORTDOCS%%share/doc/xmbmon/00READMEj.txt
X%%PORTDOCS%%share/doc/xmbmon/DEBUG_Info
X%%X11_ONLY%%%%PORTDOCS%%share/doc/xmbmon/xmbmon.resources
X%%PORTDOCS%%@dirrm share/doc/xmbmon
END-of-xmbmon/pkg-plist
exit
How-To-Repeat: 	Update port.
Comment 1 pat freebsd_committer 2002-03-17 18:26:02 UTC
State Changed
From-To: open->closed

Committed, Thanks!